- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- CompositeImage

# NAME

composite - Composite an Image

# SYNOPSIS

MagickBooleanType CompositeImage( Image *image, const CompositeOperator compose, const Image *composite_image, const long x_offset, const long y_offset );

# FUNCTION DESCRIPTIONS

## CompositeImage

> CompositeImage() returns the second image composited onto the first at the specified offsets.

The format of the CompositeImage method is:

> MagickBooleanType CompositeImage ( Image *image, const CompositeOperator compose, const Image *composite_image, const long x_offset, const long y_offset );

A description of each parameter follows:

image:
  The image.

compose:
  This operator affects how the composite is applied to the image. The operators and how they are utilized are listed here: http://www.w3.org/TR/SVG12/#compositing

composite_image:
  The composite image.

x_offset:
  The column offset of the composited image.

y_offset:
  The row offset of the composited image.

"Image manipulation software that works like magick"